Diodon - GTK+ Clipboard Manager

Move from zeitgeist-1.0 to zeitgeist-2.0

14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Bijiben
Fix Released
Medium
Cairo-Dock Plug-ins
Undecided
Matthieu Baerts
Diodon
Medium
Unassigned
Scratch
Medium
Manish Sinha (मनीष सिन्हा)
Totem
Fix Released
Medium
Unity
Medium
Stephen M. Webb
Unity Videos Lens
Medium
Manish Sinha (मनीष सिन्हा)
Upstart Application Launcher
Medium
Ted Gould
unity-lens-applications
Medium
Manish Sinha (मनीष सिन्हा)
unity-lens-files
Medium
Manish Sinha (मनीष सिन्हा)
activity-log-manager (Ubuntu)
Undecided
Unassigned
bijiben (Ubuntu)
Undecided
Unassigned
cairo-dock-plug-ins (Ubuntu)
Undecided
Matthieu Baerts
diodon (Ubuntu)
Undecided
Oliver Sauder
folks (Ubuntu)
Undecided
Unassigned
nautilus (Ubuntu)
Undecided
Manish Sinha (मनीष सिन्हा)
synapse (Ubuntu)
Undecided
Unassigned
totem (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Medium
Stephen M. Webb
unity-lens-applications (Ubuntu)
Undecided
Unassigned
unity-lens-files (Ubuntu)
Undecided
Unassigned
unity-lens-video (Ubuntu)
Undecided
Unassigned
upstart-app-launch (Ubuntu)
Undecided
Unassigned

Bug Description

The older libzeitgeist (http://launchpad.net/libzeitgeist) served its days and will be deprecated soon.

All the apps should slowly move to libzeitgeist 2 (zeitgeist-2.0)

Related branches

lp:~sao/ubuntu/saucy/diodon/new_ext_api_plugins
Merged into lp:ubuntu/saucy/diodon at revision 4
Jeremy Bicha (community): Approve on 2013-07-15
Ubuntu branches: Pending requested 2013-07-06
lp:~bregma/unity/lp-1197569
Merged into lp:unity at revision 3488
Marco Trevisan (Treviño): Approve on 2013-09-02
PS Jenkins bot: Approve (continuous-integration) on 2013-08-30
lp:~ted/upstart-app-launch/zg-reenable
Merged into lp:upstart-app-launch at revision 85
Charles Kerr: Approve on 2013-11-19
PS Jenkins bot: Approve (continuous-integration) on 2013-11-19
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package activity-log-manager - 0.9.6-0ubuntu1

---------------
activity-log-manager (0.9.6-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1189253, #1050620, #1167531)
  * Don't split control-center plugin to a separate package
  * debian/control:
    - Bump minimum vala
    - Build-depend on libwhoopsie-dev, libzeitgeist-2.0-dev, and
      libgcrypt11-dev (LP: #1197569)
  * debian/watch: Fixed
  * Dropped patches applied in new version:
    - 01_move_to_personal_section.patch
    - 02_handle_upstart_in_whoopsie.patch:
    - 03_correct_path_to_whoopsie_preferences.patch:
    - 04_correct_privacy_policy_url.patch:
    - 05_add_missing_configvapi.patch
    - 05_fix_userdirs.patch
  * debian/patches/01_really_hide_automatic_reports.patch:
    - Don't show "Send automatic reports" since that feature isn't
      implemented yet
  * debian/patches/02_update_standalone_title.patch:
    - Update the title of the standalone app to Activity Log Manager too
  * debian/patches/06_add_unity_dash_privacy.patch:
    - Refreshed and set to only show when Unity is running (LP: #1082552)
 -- Jeremy Bicha <email address hidden> Thu, 04 Jul 2013 12:32:19 -0400

Changed in activity-log-manager (Ubuntu):
status: New → Fix Released
Changed in bijiben:
importance: Unknown → Medium
status: Unknown → New
Changed in totem:
importance: Unknown → Medium
status: Unknown → Fix Released
Changed in nautilus (Ubuntu):
assignee: nobody → Manish Sinha (मनीष सिन्हा) (manishsinha)
status: New → Confirmed
Changed in bijiben:
status: New → Confirmed
Oliver Sauder (sao) on 2013-07-06
Changed in diodon:
status: New → Confirmed
Changed in diodon (Ubuntu):
assignee: nobody → Oliver Sauder (sao)
status: New → Confirmed
Changed in cairo-dock-plug-ins (Ubuntu):
assignee: nobody → Matthieu Baerts (matttbe)
status: New → Triaged

Oliver,

your branch has not yet moved to zeitgeist-1.0

Replace in filewscript
conf.check_cfg(package='zeitgeist-1.0', uselib_store='ZEITGEIST', atleast_version='0.3.12', mandatory=1, args='--cflags --libs')
with
conf.check_cfg(package='zeitgeist-2.0', uselib_store='ZEITGEIST', atleast_version='0.9.12', mandatory=1, args='--cflags --libs')

Oliver Sauder (sao) wrote :

This is still work in progress. I will propose it for merging when it is ready. Thanks.

Changed in bijiben:
status: Confirmed → Fix Released
Oliver Sauder (sao) on 2013-07-13
Changed in diodon:
importance: Undecided → Medium
milestone: none → 1.1.0
status: Confirmed → Triaged
Changed in cairo-dock-plug-ins:
assignee: nobody → Matthieu Baerts (matttbe)
milestone: none → 3.2.99.beta
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package diodon - 1.0.2-0ubuntu2

---------------
diodon (1.0.2-0ubuntu2) saucy; urgency=low

  * Deactivate unitylens-plugin (LP: #1189154)
  * debian/patches/01_port-to-zeitgeist-2.0.patch
    - Port to zeitgeist-2.0 (LP: #1197569)
  * Using valac dependency instead of valac-0.16
 -- Oliver Sauder <email address hidden> Sun, 14 Jul 2013 23:58:19 +0300

Changed in diodon (Ubuntu):
status: Confirmed → Fix Released
Changed in cairo-dock-plug-ins:
status: Triaged → Fix Committed
Changed in scratch:
importance: Undecided → Medium
milestone: none → 2.1
status: New → Confirmed
Changed in scratch:
assignee: nobody → Manish Sinha (मनीष सिन्हा) (manishsinha)
status: Confirmed → Fix Released
Cody Garver (codygarver) on 2013-08-18
Changed in scratch:
status: Fix Released → Confirmed
Stephen M. Webb (bregma) on 2013-08-19
Changed in unity:
importance: Undecided → Medium
milestone: none → 7.1.1
status: New → In Progress
assignee: nobody → Stephen M. Webb (bregma)
Changed in unity (Ubuntu):
assignee: nobody → Stephen M. Webb (bregma)
importance: Undecided → Medium
status: New → In Progress
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:unity at revision None, scheduled for release in unity, milestone 7.1.1

Changed in unity:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.1.0+13.10.20130903.1-0ubuntu1

---------------
unity (7.1.0+13.10.20130903.1-0ubuntu1) saucy; urgency=low

  [ Ted Gould ]
  * Use libupstart for sending Upstart signals.

  [ Stephen M. Webb ]
  * moved to zeitgeist-2.0. (LP: #1197569)

  [ Marco Trevisan (Treviño) ]
  * ApplicationLauncherIcon: make sure we unstick an icon, update its
    URI and resave it in order Also improving a lot the
    SoftwareCenterLauncherIcon code and the install behaviour. (LP:
    #1218504, #1217849)

  [ Chris Townsend ]
  * Fix the code formatting introduced in revno. 3485.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3488
 -- Ubuntu daily release <email address hidden> Tue, 03 Sep 2013 06:37:05 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Changed in unity-lens-applications:
assignee: nobody → Manish Sinha (मनीष सिन्हा) (manishsinha)
importance: Undecided → Medium
status: New → In Progress
Changed in unity-lens-applications (Ubuntu):
status: New → In Progress
Changed in unity-lens-files:
assignee: nobody → Manish Sinha (मनीष सिन्हा) (manishsinha)
importance: Undecided → Medium
milestone: none → 7.1.0
status: New → In Progress
Changed in unity-lens-files (Ubuntu):
status: New → In Progress
Changed in unity-lens-video:
assignee: nobody → Manish Sinha (मनीष सिन्हा) (manishsinha)
importance: Undecided → Medium
status: New → In Progress
Changed in unity-lens-video (Ubuntu):
status: New → In Progress
Changed in upstart-app-launch:
importance: Undecided → Medium
status: New → Triaged
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:unity-lens-files at revision 259, scheduled for release in unity-lens-files, milestone 7.1.0

Changed in unity-lens-files:
status: In Progress → Fix Committed
Changed in scratch:
status: Confirmed → Fix Released
RabbitBot (rabbitbot-a) on 2013-09-14
Changed in scratch:
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-files - 7.1.0+13.10.20130920-0ubuntu1

---------------
unity-lens-files (7.1.0+13.10.20130920-0ubuntu1) saucy; urgency=low

  [ Manish Sinha ]
  * Port unity-lens-applications to libzeitgeist2. (LP: #1196800,
    #1197569)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 259
 -- Ubuntu daily release <email address hidden> Fri, 20 Sep 2013 11:16:22 +0000

Changed in unity-lens-files (Ubuntu):
status: In Progress → Fix Released
Changed in cairo-dock-plug-ins:
milestone: 3.2.99.beta → none
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cairo-dock-plug-ins - 3.3.0-0ubuntu1

---------------
cairo-dock-plug-ins (3.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * Detailed Upstream ChangeLog (beta 2 -> release)
    - Dbus: don't notify of startup if the applet is already controling a
      window
    - Dialogs: tooltip view: fixed the position of the widget inside the
      dialog when it's placed on top of the screen
    - Folder: watch for drop events onto the docks only
    - GMenu:
      - Apps: set the desktop environment to correctly exclude apps
      - Search: When there is no result, display 'Launch this command'
      - Search: launch app: do not restrict to the left click
      - Search: match: display name: locate a substring instead of compare
        the first chars
    - Indicator-Generic: forced the 'data' to be a GldiModuleInstance
    - logout: select shutdown menu item: do not create a list and iter all
      menu items, just save the pointer
    - Messaging Menu: Indicator3: detach the icon at startup: the icon is
      inserted when the entry will be added
    - Messaging Menu: with old versions of libindicator: fixed tiny memory
      leaks
    - po: updated translations
    - Switcher: correctly update the icon by listening more signals
    - Switcher: fixed the drawing of the desktop name in the desklet when
      it's larger than the desklet
    - Terminal: when dropped something in the terminal, take the data and
      not only the text + give the focus just after
    - All: menu functions have been renamed in libgldi
    - All: remove useless g_print
  * Some bugs have been fixed:
    - logout: UPower: invalid fastbin entry LP: #1212981
    - logout: Use logind for suspend/hibernate/poweroff/reboot LP: #1175810
    - keyboard: cairo-dock crashes on keyboard layout swtcher LP: #668061
    - keyboard: Cairo-dock is unable to get CAPS Lock and NumLck values
      LP: #476842
    - quick-browser: Error Message LP: #660261
    - recent-events: Move from zeitgeist-1.0 to zeitgeist-2.0 LP: #1197569
  * debian/control: bumped Cairo-Dock (core) version
 -- Matthieu Baerts (matttbe) <email address hidden> Fri, 04 Oct 2013 15:11:09 +0200

Changed in cairo-dock-plug-ins (Ubuntu):
status: Triaged → Fix Released
Stephen M. Webb (bregma) wrote :

Fix Released in Nux Unity 7.1.1.

Changed in unity:
status: Fix Committed → Fix Released
tags: added: scopes-s
Ted Gould (ted) on 2013-11-08
Changed in upstart-app-launch:
assignee: nobody → Ted Gould (ted)
status: Triaged → In Progress
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:upstart-app-launch at revision 85, scheduled for release in upstart-app-launch, milestone Unknown

Changed in upstart-app-launch:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package upstart-app-launch - 0.3+14.04.20131126-0ubuntu1

---------------
upstart-app-launch (0.3+14.04.20131126-0ubuntu1) trusty; urgency=low

  [ Ted Gould ]
  * Bumping to 0.3 to reflect that we added a new env var to the library
    which is needed for testing URL Dispatcher
  * Reenable ZG and port to libzg-2.0. (LP: #1197569)
  * Ensure quoted single URIs passed to a %U are unquoted. (LP:
    #1253703)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 86
 -- Ubuntu daily release <email address hidden> Tue, 26 Nov 2013 02:07:13 +0000

Changed in upstart-app-launch (Ubuntu):
status: New → Fix Released
Ted Gould (ted) on 2013-12-05
Changed in upstart-app-launch:
status: Fix Committed → Fix Released
Changed in scratch:
status: Fix Committed → Fix Released
Oliver Sauder (sao) on 2013-12-28
Changed in diodon:
status: Triaged → Fix Committed
Changed in folks (Ubuntu):
status: New → Fix Released
Oliver Sauder (sao) on 2014-04-18
Changed in diodon:
milestone: 1.1.0 → none
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.